import { ApiResponseType, ResponseBody } from './typings';
/**
 * Thrown if a value doesn't exist in the cache
 */
export declare class ApiCacheMissError extends Error {
}
/**
 * Thrown if a non-200 status response is received
 */
export declare class ApiError<T extends ResponseBody | null> extends Error {
    status: number;
    responseBody: T;
    responseType?: ApiResponseType | null;
    constructor(status: number, responseBody: T, responseType?: ApiResponseType | null);
}
