import EventEmitter from 'eventemitter3';
import { ApiHeaders, ApiRequestMethod, ApiRequestParams } from './typings';
/**
 * Returns an id represent the request parameters.
 *
 * This is used to identify the request for caching and other purposes.
 */
export declare function getParamsId(params: ApiRequestParams<ApiRequestMethod>): string;
/**
 * Given a fetch `Headers` object and ApiHeaders (object or array of key-value pairs),
 * returns a new `Headers` object with the ApiHeaders added to the original `Headers`.
 */
export declare function applyHeaders(prevHeaders: Headers, apiHeaders: ApiHeaders): Headers;
export declare function genCacheUpdateEvent(params: ApiRequestParams<ApiRequestMethod>): string;
/**
 * Adds an event listener to the given emitter using the provided event key.
 *
 * Returns an "unsubscribe" function that will remove the listener once called.
 *
 * @param emitter Event emitter to subscribe to
 * @param event Event key
 * @param listener Event listener
 */
export declare function createSubscription(emitter: EventEmitter, event: string, listener: (...args: any[]) => void): () => void;
