import React from 'react';
import { Api } from '../api';
import { ApiRequestFetchPolicy } from '../api/typings';
interface ApiContext {
    api: Api;
    defaultFetchPolicy: ApiRequestFetchPolicy;
}
export declare const ApiContext: React.Context<ApiContext>;
export interface ApiProviderProps {
    /**
     * The API instance to use
     */
    api: Api;
    /**
     * Sets the default `fetchPolicy` which is used by `useApiQuery`
     * if no `fetchPolicy` is provided to the hook.
     */
    defaultFetchPolicy?: ApiRequestFetchPolicy;
}
export declare const ApiProvider: React.FC<ApiProviderProps>;
export {};
