export declare const useApiQueryActions: {
    /**
     * Resets to the default state.
     *
     * This is useful if no request params are passed to the hook.
     */
    reset: import("typesafe-actions").EmptyAC<"RESET">;
    /**
     * A request has begun.
     */
    request: import("typesafe-actions").PayloadAC<"REQUEST", {
        id: symbol;
        paramsId: string;
        dontReinitialize?: boolean | undefined;
        initData?: any;
    }>;
    /**
     * A refetchRequest has begun.
     */
    refetchRequest: import("typesafe-actions").PayloadAC<"REFETCH_REQUEST", {
        id: symbol;
        paramsId: string;
        reinitialize?: boolean | undefined;
    }>;
    /**
     * A request (or refetchRequest) has completed.
     */
    success: import("typesafe-actions").PayloadAC<"SUCCESS", {
        id: symbol;
        paramsId: string;
        data: any;
    }>;
    /**
     * A request (or refetchRequest) has failed.
     */
    failure: import("typesafe-actions").PayloadAC<"FAILURE", {
        id: symbol;
        paramsId: string;
        error: Error;
    }>;
    /**
     * The `data` should be set manually.
     */
    setData: import("typesafe-actions").PayloadAC<"SET_DATA", any>;
};
